@charset "utf-8";
/* 
一覧系のスタイルを全てまとめています。
#記事部分（共通）#記事部分（works）#記事部分（blogs） #ページネーション
*/

/* #記事部分（共通） */
.container--archive {
    background-color: #fff;
    min-width: 300px;
    width: 100%;
    padding: 40px 30px;
    margin: 0 auto;
}

.animo-card {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.animo-card + .animo-card {
    margin-top: 40px;
}

.animo-card__img-wrapper {
    overflow: hidden;
    border-radius: 5px;
}

.animo-card__title {
    letter-spacing: 0.1em;
    font-weight: 500;
    line-height: normal;
    color: #515151;
}

@media screen and (min-width:600px) {
    .container--archive {
        max-width: 680px;
        padding: 40px 60px;
    }

    .animo-card {
        gap: 20px;
    }
}

@media screen and (min-width:800px) {
    .container--archive {
        max-width: 880px;
        padding: 40px 60px;
    }
}


/* #記事部分（works） */
.works-page .animo-card__title {
    font-size: 1.6rem;
}

/* #記事部分（blogs） */
.animo-cards .media {display:flex;align-items:stretch;}
.animo-cards .media .media__item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.blogs-page .animo-card__title {
    font-size: 1.8rem;
}
.animo-card__text {
    margin-top: 10px;
    font-size: 14px;
    color: #515151;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
	height:100%;
}
.blogs-page .dates {
    margin-top: 20px;
    display: flex;
    justify-content: flex-end;
	align-items:flex-end;
    gap: 8.8px;
    font-size: 12px;
    letter-spacing: 0.2em;
    color: #b7b7b6;
	height:100%;
}

@media screen and (min-width: 600px) {
    .blogs-page .dates{font-size: 1.4rem;}
    .blogs-page .animo-card__title {
        font-size: 2rem;
    }
}


/* ここをmin-width800pxにするとメディア型の内容が潰れてしまいます */
@media screen and (min-width: 1025px) {
    .container--archive {
        max-width: 880px;
        padding: 40px;
    }
    .media {
        flex-direction: row;
    }
    .media .media__item {
        flex: 1;
    }
    .blogs-page .dates {
        margin-top: 0;
        flex-wrap: wrap;
        gap: 0 8.8px;
    }
    .blogs-page .animo-card__text {
        margin-top: 8px;
    }
}

/* #ページネーション */
.pagination {
    margin-top: 80px;
}
.pagination .page-numbers {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.pagination .page-numbers li {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #E4E4E4;
    color: #fff;
    box-shadow: 0px 1px 2px #00000029;
    transition: .3s ease-in;
}
.pagination .page-numbers li>* {
    line-height: 40px;
}
.pagination .current {
    border-radius: 50%;
    background-color: #E4CCB0;
}
.pagination li:hover {
    background-color: #a09180;
}